/* 
 * Copyright (C) 2013 Luca Zanetti. All rights reserved.
 *
 * This file may be used under the terms of the GNU General Public License
 * versions 3.0 as published by the Free Software Foundation and
 * appearing in the COPYING file included in the packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 *  WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
*/

struct item {
   int val;
   struct item *next;
};

typedef struct item item;
typedef struct item *List;

/* add an item with value val at the head of the list */
List add(List head, int val);

/* return the value contained in item n of the list */
int val(List head, int n);

/* destroy the list */
void destroy(List head);
